package org.springblade.community.feign;

import org.springblade.community.entity.Floor;
import org.springblade.community.vo.FloorVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class FloorClientFallback implements IFloorClient {
            /**
         * 详情
         */
        @Override
        public FloorVO detail(Floor floor) {
            return null;
        }

	@Override
	public Floor getById(Long id) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<FloorVO> list(Floor floor) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Floor floor) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Floor floor) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Floor floor) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
